Page MenuHomePhabricator

Build middleware to utilize machine vision API for structured data on commons depicts tag suggestion tool
Closed, ResolvedPublic

Description

In Q1 FY 2019-20, the Wikimedia Reading Infrastructure team is designing and building a generalized solution for communicating with machine vision (MV) service providers and storing results for usage on the wikis.

Specifically, we need support for:

  • Requesting MV-generated image metadata from machine vision providers
  • Providing temporary storage for MV results pending human editor verification
  • Serving MV data to Commons users for verification and promotion to Structured Data on Commons
  • Providing the results of human editor verification back to third-party MV providers for model refinement

Full project documentation: https://www.mediawiki.org/wiki/Wikimedia_Product/Machine_vision_middleware


Related Objects

StatusSubtypeAssignedTask
ResolvedRamsey-WMF
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
Resolvedsbassett
ResolvedMholloway
ResolvedMarostegui
ResolvedMholloway
ResolvedKrinkle
ResolvedMholloway
OpenNone
ResolvedRamsey-WMF
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
StalledNone
DeclinedReedy
ResolvedMholloway
InvalidNone
Resolvedsbassett
ResolvedMholloway
DeclinedNone
ResolvedTgr
OpenNone

Event Timeline

JoeWalsh created this task.Jun 19 2019, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2019, 5:23 PM
dr0ptp4kt updated the task description. (Show Details)Jun 19 2019, 5:52 PM
Mholloway updated the task description. (Show Details)Jul 5 2019, 4:00 PM
Mholloway moved this task from Backlog to Epics on the MachineVision board.Jul 5 2019, 4:04 PM
Mholloway updated the task description. (Show Details)Jul 8 2019, 9:13 PM
Mholloway raised the priority of this task from Medium to High.Oct 24 2019, 12:50 AM
Mholloway closed this task as Resolved.Feb 12 2020, 5:15 PM
Mholloway claimed this task.
Restricted Application added a project: Structured-Data-Backlog. · View Herald TranscriptFeb 12 2020, 5:15 PM